<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchImplementation: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchImplementation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_c"></a>- c -</h3><ul>
<li>ChangeIndex()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#ad539e2885d813afc8484844c43e21659">SemanticSearchImplementation.ElasticsearchSearchClient</a>
, <a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#a5f3281adfa42ef1587f0ff32454aef26">SemanticSearchImplementation.ISearchClient</a>
</li>
<li>CheckDocumentIsSet()
: <a class="el" href="class_semantic_search_implementation_1_1_semantic_search.html#a3a28b585e0b5c9847245cacebd95d73f">SemanticSearchImplementation.SemanticSearch</a>
</li>
<li>client
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a0401dbd6fe37c7bd3b3280f30ae6da69">SemanticSearchImplementation.ElasticsearchSearchClient</a>
</li>
<li>ConstructAdditionalRules()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a8d3defa7b15d35ff8188de0e24d4e990">SemanticSearchImplementation.RdfClient</a>
</li>
<li>ConstructLiteralRules()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a74621d06a8eb3a90572710d6b6849349">SemanticSearchImplementation.RdfClient</a>
</li>
<li>COSCINE_ADDITIONAL_RULES
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#a76d905d4f20b613ff92744863a78ae11">SemanticSearchImplementation.Uris</a>
</li>
<li>COSCINE_LITERAL_RULES
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#aeb92ee6d5529baff6aa7f6b3b570b922">SemanticSearchImplementation.Uris</a>
</li>
<li>COSCINE_PROJECTSTRUCTURE
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#aef3e513b9560b4ba3aa6cd5565030a7c">SemanticSearchImplementation.Uris</a>
</li>
<li>COSCINE_PROJECTSTRUCTURE_IS_FILE_OF
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#ad284db4799dfdb2a69297430d606b778">SemanticSearchImplementation.Uris</a>
</li>
<li>COSCINE_PROJECTSTRUCTURE_IS_MEMBER_OF
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#a052b24bdd19da762026e10b5ced6b7da">SemanticSearchImplementation.Uris</a>
</li>
<li>COSCINE_PROJECTSTRUCTURE_IS_PUBLIC
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#a59c9e8c2f0a102d5e3a1a9467f54add1">SemanticSearchImplementation.Uris</a>
</li>
<li>COSCINE_PROJECTSTRUCTURE_IS_PUBLIC_LONG
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#aea490d126ec1983b5559ff188fed86b7">SemanticSearchImplementation.Uris</a>
</li>
<li>COSCINE_PROJECTSTRUCTURE_IS_RESOURCE_OF
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#ab9488762f8cb54e4a666e98dcf833387">SemanticSearchImplementation.Uris</a>
</li>
<li>COSCINE_SEARCH
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#a742e3fefe676dd0421b1d2bfdc16f629">SemanticSearchImplementation.Uris</a>
</li>
<li>COSCINE_SEARCH_APPLICATION_PROFILE
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#a8b50b5b113f8bda7584cee3d33f83b35">SemanticSearchImplementation.Uris</a>
</li>
<li>COSCINE_SEARCH_BELONGS_TO_PROJECT
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#a6b15336a14786170f79245d92c2618d2">SemanticSearchImplementation.Uris</a>
</li>
<li>COSCINE_SEARCH_CURRENT_INDEX
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#aee25111efbb50ec596d6b37158f8d84d">SemanticSearchImplementation.Uris</a>
</li>
<li>COSCINE_SEARCH_GRAPHNAME
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#ab8ebd1f8c05ca01b5927ca0290624b24">SemanticSearchImplementation.Uris</a>
</li>
<li>COSCINE_SEARCH_HAS_INDEX_VERSION
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#a9b5d8c1944bb2ea5fc797b05d65150d9">SemanticSearchImplementation.Uris</a>
</li>
<li>COSCINE_SEARCH_IS_DELETED
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#a6749cca8234bd2f23e3220d616dffa95">SemanticSearchImplementation.Uris</a>
</li>
<li>COSCINE_SEARCH_ROOT_CLASS
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#aa821897b08eccdbe1ca68708606da3f0">SemanticSearchImplementation.Uris</a>
</li>
<li>CreateDocument()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#afb0d5d6e13bde96600f8f489752644f3">SemanticSearchImplementation.RdfSearchMapper</a>
</li>
<li>CreateFields()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#ad694bbe97a60dc38cec52311ab400950">SemanticSearchImplementation.RdfClient</a>
</li>
<li>CreateFieldsFromAdditionalRule()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a0667466b05b61830e8808ce3ff45ea08">SemanticSearchImplementation.RdfClient</a>
</li>
<li>CreateIndex()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#ad42b90ee9fc249fc5ca0f0485e60c903">SemanticSearchImplementation.ElasticsearchIndexMapper</a>
</li>
<li>CreateIndexAsync()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#ada6b558939d7039a662a0c584c27c043">SemanticSearchImplementation.ElasticsearchSearchClient</a>
, <a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#a9ab1b757bf2df8b7324dd94cfebb3077">SemanticSearchImplementation.ISearchClient</a>
, <a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#abaa774b868c7f42c97a9b804b98f3592">SemanticSearchImplementation.RdfSearchMapper</a>
</li>
<li>CreateJsonContent()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a675e7317c556764f3f1775eeca4e18e2">SemanticSearchImplementation.ElasticsearchSearchClient</a>
</li>
<li>CreateJTokenForESFromList()
: <a class="el" href="class_semantic_search_implementation_1_1_specific_application_profile.html#aa732341c622420280d125d1e7ba3eb6f">SemanticSearchImplementation.SpecificApplicationProfile</a>
</li>
<li>CreateLabelOfProperty()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a0706801ca2aa20f1c77715204dc8247a">SemanticSearchImplementation.ElasticsearchIndexMapper</a>
</li>
<li>CreateLabelOfProps()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a08c46df0f78abc3b46f6193e4e344985">SemanticSearchImplementation.ElasticsearchIndexMapper</a>
</li>
<li>CreateTypeOfProps()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a4c0e79b4e855c7e9ba062531d0fdaf94">SemanticSearchImplementation.ElasticsearchIndexMapper</a>
</li>
<li>CreateVisibilityFilter()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a82703171ca5f50be94daaab1785db0c2">SemanticSearchImplementation.ElasticsearchSearchClient</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
